Aprepro 5.0x

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SEAMSFlexLexer Class Reference

`#include <FlexLexer.h>`

Inheritance diagram for SEAMSFlexLexer:
[legend]
Collaboration diagram for SEAMSFlexLexer:
[legend]

## Public Member Functions
| SEAMSFlexLexer (std::istream *arg_yyin=nullptr, std::ostream *arg_yyout=nullptr)
| ~SEAMSFlexLexer () override
void | yy_switch_to_buffer (struct yy_buffer_state *new_buffer) override
struct yy_buffer_state * | yy_create_buffer (std::istream *file, int size) override
void | yy_delete_buffer (struct yy_buffer_state *b) override
void | yyrestart (std::istream *input_file) override
void | yypush_buffer_state (struct yy_buffer_state *new_buffer)
void | yypop_buffer_state ()
int | yylex () override
void | switch_streams (std::istream *new_in, std::ostream *new_out=nullptr) override
virtual int | yywrap ()
Public Member Functions inherited from FlexLexer
| FlexLexer ()
virtual | ~FlexLexer ()
const char * | YYText () const
int | YYLeng () const
int | yylex (std::istream *new_in, std::ostream *new_out=nullptr)
int | lineno () const
int | debug () const
void | set_debug (int flag)

## Protected Member Functions
virtual int | LexerInput (char *buf, int max_size)
virtual void | LexerOutput (const char *buf, int size)
virtual void | LexerError (const char *msg)
void | yyunput (int c, char *yy_bp)
int | yyinput ()
void | yy_load_buffer_state ()
void | yy_init_buffer (struct yy_buffer_state *b, std::istream *file)
void | yy_flush_buffer (struct yy_buffer_state *b)
void | yy_push_state (int new_state)
void | yy_pop_state ()
int | yy_top_state ()
yy_state_type | yy_get_previous_state ()
yy_state_type | yy_try_NUL_trans (yy_state_type yy_current_state)
int | yy_get_next_buffer ()
void | yyensure_buffer_stack (void)

## Protected Attributes
int | yy_start_stack_ptr
int | yy_start_stack_depth
int * | yy_start_stack
std::istream * | yyin
std::ostream * | yyout
char | yy_hold_char
int | yy_n_chars
char * | yy_c_buf_p
int | yy_init
int | yy_start
int | yy_did_buffer_switch_on_eof
size_t | yy_buffer_stack_top
size_t | yy_buffer_stack_max
struct yy_buffer_state ** | yy_buffer_stack
yy_state_type | yy_last_accepting_state
char * | yy_last_accepting_cpos
yy_state_type * | yy_state_buf
yy_state_type * | yy_state_ptr
char * | yy_full_match
int * | yy_full_state
int | yy_full_lp
int | yy_lp
int | yy_looking_for_trail_begin
int | yy_more_flag
int | yy_more_len
int | yy_more_offset
int | yy_prev_more_offset
Protected Attributes inherited from FlexLexer
char * | yytext
int | yyleng
int | yylineno
int | yy_flex_debug

## Constructor & Destructor Documentation

## ◆ SEAMSFlexLexer()

SEAMSFlexLexer::SEAMSFlexLexer | ( | std::istream * | arg_yyin = `nullptr`,
|  | std::ostream * | arg_yyout = `nullptr`
| ) |  |
| explicit

## ◆ ~SEAMSFlexLexer()

SEAMSFlexLexer::~SEAMSFlexLexer | ( |  | ) |
| override

## Member Function Documentation

## ◆ LexerError()

void SEAMSFlexLexer::LexerError | ( | const char * | msg | ) |
| protectedvirtual

## ◆ LexerInput()

int SEAMSFlexLexer::LexerInput | ( | char * | buf,
|  | int | max_size
| ) |  |
| protectedvirtual

Reimplemented in SEAMS::Scanner.

## ◆ LexerOutput()

void SEAMSFlexLexer::LexerOutput | ( | const char * | buf,
|  | int | size
| ) |  |
| protectedvirtual

Reimplemented in SEAMS::Scanner.

## ◆ switch_streams()

void SEAMSFlexLexer::switch_streams | ( | std::istream * | new_in,
|  | std::ostream * | new_out = `nullptr`
| ) |  |
| overridevirtual

Implements FlexLexer.

## ◆ yy_create_buffer()

YY_BUFFER_STATE SEAMSFlexLexer::yy_create_buffer | ( | std::istream * | file,
|  | int | size
| ) |  |
| overridevirtual

Allocate and initialize an input buffer state.

Parameters

  file | A readable stream.
  size | The character buffer size in bytes. When in doubt, use `YY_BUF_SIZE`.

Returns
  the allocated buffer state.

Implements FlexLexer.

## ◆ yy_delete_buffer()

void SEAMSFlexLexer::yy_delete_buffer | ( | struct yy_buffer_state * | b | ) |
| overridevirtual

Destroy the buffer.

Parameters

  b | a buffer created with yy_create_buffer()

Implements FlexLexer.

## ◆ yy_flush_buffer()

void SEAMSFlexLexer::yy_flush_buffer | ( | struct yy_buffer_state * | b | ) |
| protected

Discard all buffered characters. On the next scan, YY_INPUT will be called.

Parameters

  b | the buffer state to be flushed, usually `YY_CURRENT_BUFFER`.

## ◆ yy_get_next_buffer()

int SEAMSFlexLexer::yy_get_next_buffer | ( |  | ) |
| protected

## ◆ yy_get_previous_state()

yy_state_type SEAMSFlexLexer::yy_get_previous_state | ( |  | ) |
| protected

## ◆ yy_init_buffer()

void SEAMSFlexLexer::yy_init_buffer | ( | struct yy_buffer_state * | b,
|  | std::istream * | file
| ) |  |
| protected

## ◆ yy_load_buffer_state()

void SEAMSFlexLexer::yy_load_buffer_state | ( |  | ) |
| protected

## ◆ yy_pop_state()

void SEAMSFlexLexer::yy_pop_state | ( |  | ) |
| protected

## ◆ yy_push_state()

void SEAMSFlexLexer::yy_push_state | ( | int | new_state | ) |
| protected

## ◆ yy_switch_to_buffer()

void SEAMSFlexLexer::yy_switch_to_buffer | ( | struct yy_buffer_state * | new_buffer | ) |
| overridevirtual

Switch to a different input buffer.

Parameters

  new_buffer | The new input buffer.

Implements FlexLexer.

## ◆ yy_top_state()

int SEAMSFlexLexer::yy_top_state | ( |  | ) |
| protected

## ◆ yy_try_NUL_trans()

yy_state_type SEAMSFlexLexer::yy_try_NUL_trans | ( | yy_state_type | yy_current_state | ) |
| protected

## ◆ yyensure_buffer_stack()

void SEAMSFlexLexer::yyensure_buffer_stack | ( | void |  | ) |
| protected

## ◆ yyinput()

int SEAMSFlexLexer::yyinput | ( |  | ) |
| protected

## ◆ yylex()

int SEAMSFlexLexer::yylex | ( |  | ) |
| overridevirtual

Implements FlexLexer.

## ◆ yypop_buffer_state()

void SEAMSFlexLexer::yypop_buffer_state | ( | void |  | ) |

Removes and deletes the top of the stack, if present. The next element becomes the new top.

## ◆ yypush_buffer_state()

void SEAMSFlexLexer::yypush_buffer_state | ( | struct yy_buffer_state * | new_buffer | ) |

Pushes the new state onto the stack. The new state becomes the current state. This function will allocate the stack if necessary.

Parameters

  new_buffer | The new state.

## ◆ yyrestart()

void SEAMSFlexLexer::yyrestart | ( | std::istream * | input_file | ) |
| overridevirtual

Immediately switch to a different input stream.

Parameters

  input_file | A readable stream.

Note
  This function does not reset the start condition to `INITIAL` .

Implements FlexLexer.

## ◆ yyunput()

void SEAMSFlexLexer::yyunput | ( | int | c,
|  | char * | yy_bp
| ) |  |
| protected

## ◆ yywrap()

int SEAMSFlexLexer::yywrap | ( |  | ) |
| virtual

Reimplemented in SEAMS::Scanner.

## Member Data Documentation

## ◆ yy_buffer_stack

struct yy_buffer_state** SEAMSFlexLexer::yy_buffer_stack
| protected

Stack as an array.

## ◆ yy_buffer_stack_max

size_t SEAMSFlexLexer::yy_buffer_stack_max
| protected

capacity of stack.

## ◆ yy_buffer_stack_top

size_t SEAMSFlexLexer::yy_buffer_stack_top
| protected

index of top of stack.

## ◆ yy_c_buf_p

char* SEAMSFlexLexer::yy_c_buf_p
| protected

## ◆ yy_did_buffer_switch_on_eof

int SEAMSFlexLexer::yy_did_buffer_switch_on_eof
| protected

## ◆ yy_full_lp

int SEAMSFlexLexer::yy_full_lp
| protected

## ◆ yy_full_match

char* SEAMSFlexLexer::yy_full_match
| protected

## ◆ yy_full_state

int* SEAMSFlexLexer::yy_full_state
| protected

## ◆ yy_hold_char

char SEAMSFlexLexer::yy_hold_char
| protected

## ◆ yy_init

int SEAMSFlexLexer::yy_init
| protected

## ◆ yy_last_accepting_cpos

char* SEAMSFlexLexer::yy_last_accepting_cpos
| protected

## ◆ yy_last_accepting_state

yy_state_type SEAMSFlexLexer::yy_last_accepting_state
| protected

## ◆ yy_looking_for_trail_begin

int SEAMSFlexLexer::yy_looking_for_trail_begin
| protected

## ◆ yy_lp

int SEAMSFlexLexer::yy_lp
| protected

## ◆ yy_more_flag

int SEAMSFlexLexer::yy_more_flag
| protected

## ◆ yy_more_len

int SEAMSFlexLexer::yy_more_len
| protected

## ◆ yy_more_offset

int SEAMSFlexLexer::yy_more_offset
| protected

## ◆ yy_n_chars

int SEAMSFlexLexer::yy_n_chars
| protected

## ◆ yy_prev_more_offset

int SEAMSFlexLexer::yy_prev_more_offset
| protected

## ◆ yy_start

int SEAMSFlexLexer::yy_start
| protected

## ◆ yy_start_stack

int* SEAMSFlexLexer::yy_start_stack
| protected

## ◆ yy_start_stack_depth

int SEAMSFlexLexer::yy_start_stack_depth
| protected

## ◆ yy_start_stack_ptr

int SEAMSFlexLexer::yy_start_stack_ptr
| protected

## ◆ yy_state_buf

yy_state_type* SEAMSFlexLexer::yy_state_buf
| protected

## ◆ yy_state_ptr

yy_state_type* SEAMSFlexLexer::yy_state_ptr
| protected

## ◆ yyin

std::istream* SEAMSFlexLexer::yyin
| protected

## ◆ yyout

std::ostream* SEAMSFlexLexer::yyout
| protected

The documentation for this class was generated from the following files:

- FlexLexer.h
- apr_scanner.cc